#include <bits/stdc++.h>
using namespace std;

int n, arr[50000];

int main()
{
    cin >> n;
    for(int i = 0; i < n; i++)
    {
        cin >> arr[i];
    }
    for(int i = 0; i < n; i++)
    {
        bool flag = true;
        for(int j = 1; j*j < arr[i]; j++)
        {
            for(int k = 1; k*k < arr[i]; k++)
            {
                    if(arr[i] == j * j + k * k)
                    {
                        cout << "1";
                        break;
                    }
            }
        }
        if(flag) cout << "0";
    }
    return 0;
}
